{$J+,Z4}
unit IERConverter;
{------------------------------------------------------------------------------}
{        This code is copyright (C) 2020-2023 by Michael in der Wiesche        }
{------------------------------------------------------------------------------}

interface

uses
  Windows, Classes, SysUtils, StrUtil, Utf8, PMOptions, PMMessages;

function IERConvertHtmlToRtf(const Html: String): String;
function IERConvertRtfToHtml(const Rtf: String): String;

implementation

type
  PFormatConvertParams = ^TFormatConvertParams;
  TOnConvertHtmlToRtf = procedure(RtfResult: PAnsiChar; FormatConvertParamsPtr: PFormatConvertParams);
  TOnConvertRtfToHtml = procedure(HtmlResult: PAnsiChar; FormatConvertParamsPtr: PFormatConvertParams);
  TFormatConvertParams = Record
    OnConvertHtmlToRtf: TOnConvertHtmlToRtf;
    OnConvertRtfToHtml: TOnConvertRtfToHtml;
    HtmlString: PAnsiChar;
    RtfString: PAnsiChar;
  end;

var
  ConvertHtmlToRtf: procedure(FormatConvertParamsPtr: PFormatConvertParams);
  ConvertRtfToHtml: procedure(FormatConvertParamsPtr: PFormatConvertParams);


function GetIERProcAddress(const ProcName: String): TFarProc;
begin
  Result := GetProcAddress(GetModuleHandle(PChar('IERenderer.dll')), PChar(ProcName));
end;

procedure ConvertingHtmlToRtf(RtfResult: PAnsiChar; FormatConvertParamsPtr: PFormatConvertParams);
begin
  if FormatConvertParamsPtr <> nil then FormatConvertParamsPtr^.RtfString := RtfResult;
end;

function IERConvertHtmlToRtf(const Html: String): String;
var
  FormatConvertParams: TFormatConvertParams;
begin
  with FormatConvertParams do begin
    OnConvertHtmlToRtf := ConvertingHtmlToRtf;
    OnConvertRtfToHtml := nil;
    HtmlString := PAnsiChar(Html);
    RtfString := E;
  end;
  ConvertHtmlToRtf := GetIERProcAddress('ConvertHtmlToRtf');
  if Assigned(ConvertHtmlToRtf) then begin
    ConvertHtmlToRtf(@FormatConvertParams);
    with FormatConvertParams do begin
      Result := RtfString;
      Exit;
    end;
  end;
  Result := E;
end;

procedure ConvertingRtfToHtml(HtmlResult: PAnsiChar; FormatConvertParamsPtr: PFormatConvertParams);
begin
  if FormatConvertParamsPtr <> nil then FormatConvertParamsPtr^.HtmlString := HtmlResult;
end;

function IERConvertRtfToHtml(const Rtf: String): String;
var
  FormatConvertParams: TFormatConvertParams;
begin
  with FormatConvertParams do begin
    OnConvertHtmlToRtf := nil;
    OnConvertRtfToHtml := ConvertingRtfToHtml;
    HtmlString := E;
    RtfString := PAnsiChar(Rtf);
  end;
  ConvertRtfToHtml := GetIERProcAddress('ConvertRtfToHtml');
  if Assigned(ConvertRtfToHtml) then begin
    ConvertRtfToHtml(@FormatConvertParams);
    with FormatConvertParams do begin
      Result := HtmlString;
      Exit;
    end;
  end;
  Result := E;
end;

end.

