{$A+,B-,C+,D+,E-,F+,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V-,W-,X+,Y+,Z4}
{$IFDEF CONDITIONALEXPRESSIONS} {$WARN SYMBOL_PLATFORM OFF} {$ENDIF}
{$IMAGEBASE $60000000}
library PMPGPCryptor;
{------------------------------------------------------------------------------}
{        This code is copyright (C) 2006-2023 by Michael in der Wiesche        }
{------------------------------------------------------------------------------}

{$R *.RES}

uses
  Windows, SysUtils, StrUtil, Messages, PMMessages, PMPGPCommon;

function FORMINIT(wVersion: Word; iVariant: Integer; hParent: THandle; pData: PChar;
		  var hDialog: THandle; pCallback: PChar): Word; stdcall; forward;
function FORMPROC(hWindow: HWND; uMsg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall; forward;
function ENCRYPT_FILE_EX(const CryptEx: TCryptEx): Integer; stdcall; forward;
function DECRYPT_FILE_EX(const CryptEx: TCryptEx): Integer; stdcall; forward;
function SIGN_FILE_EX(const CryptEx: TCryptEx): Integer; stdcall; forward;
function VERIFY_SIGNATURE(const SourceFile, Text: PChar): Integer; stdcall; forward;
function KEY_MANAGEMENT(const SourceFile: PChar): Integer; stdcall; forward;
function DESTROY_FILE(const SourceFile: PChar): Integer; stdcall; forward;

exports
  FORMINIT		index FORMINIT_INDEX,
  FORMPROC		index FORMPROC_INDEX,
  ENCRYPT_FILE_EX	index ENCRYPT_INDEX,
  DECRYPT_FILE_EX	index DECRYPT_INDEX,
  SIGN_FILE_EX		index SIGN_INDEX,
  VERIFY_SIGNATURE	index VERIFY_INDEX,
  KEY_MANAGEMENT	index KEY_MANAGE_INDEX,
  DESTROY_FILE		index DESTROY_FILE_INDEX;

function PMPGPMainProcAddress(Index: Longint): Pointer;
begin
  Result := GetProcAddress(GetModuleHandle(MAIN_LIB), Ptr(Index));
  if Result = nil then ShowFatalErrorMessage(GetLastError);
end;

function FORMINIT(wVersion: Word; iVariant: Integer; hParent: THandle; pData: PChar;
		  var hDialog: THandle; pCallback: PChar): Word;
const
  FORMPROC = 'FORMPROC'#0;
begin
  Result := 0 ;
  if (wVersion and $FF00) <= $0100 then begin
    StrLCopy(pCallback, FORMPROC, Length(FORMPROC));
    Result := 1;
  end;
end;

function FORMPROC(hWindow: HWND; uMsg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
begin
  Result := DefWindowProc(hWindow, uMsg, wParam, lParam);
end;

function ENCRYPT_FILE_EX(const CryptEx: TCryptEx): Integer;
var
  Encrypt: function(const CryptEx: TCryptEx): Integer; stdcall;
begin
  Result := 0;
  Encrypt := PMPGPMainProcAddress(ENCRYPT_INDEX);
  if Assigned(Encrypt) then Result := Encrypt(CryptEx);
end;

function DECRYPT_FILE_EX(const CryptEx: TCryptEx): Integer;
var
  Decrypt: function(const CryptEx: TCryptEx): Integer; stdcall;
begin
  Result := 0;
  Decrypt := PMPGPMainProcAddress(DECRYPT_INDEX);
  if Assigned(Decrypt) then Result := Decrypt(CryptEx);
end;

function SIGN_FILE_EX(const CryptEx: TCryptEx): Integer;
var
  Sign: function(const CryptEx: TCryptEx): Integer; stdcall;
begin
  Result := 0;
  Sign := PMPGPMainProcAddress(SIGN_INDEX);
  if Assigned(Sign) then Result := Sign(CryptEx);
end;

function VERIFY_SIGNATURE(const SourceFile, Text: PChar): Integer;
var
  Verify: function(const SourceFile, Text: PChar): Integer; stdcall;
begin
  Result := 0;
  Verify := PMPGPMainProcAddress(VERIFY_INDEX);
  if Assigned(Verify) then Result := Verify(SourceFile, Text);
end;

function KEY_MANAGEMENT(const SourceFile: PChar): Integer;
var
  Manage: function(const SourceFile: PChar): Integer; stdcall;
begin
  Result := 0;
  Manage := PMPGPMainProcAddress(KEY_MANAGE_INDEX);
  if Assigned(Manage) then Result := Manage(SourceFile);
end;

function DESTROY_FILE(const SourceFile: PChar): Integer;
var
  Destroy: function(const SourceFile: PChar): Integer; stdcall;
begin
  Result := 0;
  Destroy := PMPGPMainProcAddress(DESTROY_FILE_INDEX);
  if Assigned(Destroy) then Result := Destroy(SourceFile);
end;

begin
end.

