{$A+,B-,C+,D+,E-,F+,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V-,W-,X+,Y+,Z4}
{$IFDEF CONDITIONALEXPRESSIONS} {$WARN SYMBOL_PLATFORM OFF} {$ENDIF}
library WebTools;
{------------------------------------------------------------------------------}
{        This code is copyright (C) 2007-2023 by Michael in der Wiesche        }
{------------------------------------------------------------------------------}

{$R *.RES}

uses
  Windows,
  Messages,
  WebLoader,
  Processes;

type
  TReadWebDataExternal = Record
    StatusWindow: THandle;
    UserAgent: PChar;
    TargetUrls: PChar;
    StatusText: PChar;
    FileName: PChar;
  end;

function CreateWebThread(const RWDE: TReadWebDataExternal): THandle; stdcall; forward;
function TerminateWebThread(var Thread: THandle): DWord; stdcall; forward;
function WaitForWebThread(Thread: THandle): DWord; stdcall; forward;
function FreeWebThread(Thread: THandle): DWord; stdcall; forward;
function FindProcess(ProcessName: PChar): Bool; stdcall; forward;

exports
  CreateWebThread index 1,
  TerminateWebThread index 2,
  WaitForWebThread index 3,
  FreeWebThread index 4,
  FindProcess index 5;

var
  RWD: TReadWebData;

function CreateWebThread(const RWDE: TReadWebDataExternal): THandle;
var
  dwThreadID: DWord;
begin
  with RWDE do begin
    RWD.StatusWindow := StatusWindow;
    RWD.UserAgent := UserAgent;
    RWD.TargetUrls := TargetUrls;
    RWD.StatusText := StatusText;
    RWD.FileName := FileName;
  end;
  Result := CreateThread(nil, 0, @ReadWebData, @RWD, CREATE_SUSPENDED, dwThreadID);
  if Result <> 0 then ResumeThread(Result);
end;

function TerminateWebThread(var Thread: THandle): DWord;
begin
  CloseConnection(RWD.InetHandles);
  GetExitCodeThread(Thread, Result);
  CloseHandle(Thread);
  Thread := 0;
end;

function WaitForWebThread(Thread: THandle): DWord;
var
  msgMainThread: TMsg;
begin
  Result := DWord(wieNone);
  repeat
    Sleep(0);
    while PeekMessage(msgMainThread, 0, 0, 0, PM_REMOVE) do begin
      if msgMainThread.Message = WM_QUIT then begin
	Result := TerminateWebThread(Thread);
	Exit;
      end;
      TranslateMessage(msgMainThread);
      DispatchMessage(msgMainThread);
    end;
  until WaitForSingleObject(Thread, 0) <> WAIT_TIMEOUT;
end;

function FreeWebThread(Thread: THandle): DWord;
var
  msg: TMsg;
begin
  repeat
    Sleep(0);
    while PeekMessage(msg, 0, 0, 0, PM_REMOVE) and (msg.Message <> WM_QUIT) do begin
      TranslateMessage(msg);
      DispatchMessage(msg);
    end;
  until WaitForSingleObject(Thread, 0) <> WAIT_TIMEOUT;
  GetExitCodeThread(Thread, Result);
  CloseHandle(Thread);
end;

function FindProcess(ProcessName: PChar): Bool; stdcall;
begin
  Result := (FindProcessInfo(ProcessName, true).piWindow <> 0);
end;

begin
end.

