{$J+,Z4}
unit PMOptions;

interface

{ INI FILES }

const // Pegasus Mail
  PEGASUS_MAIL		= 'Pegasus Mail';
  PM_FILE_NAME		= 'WINPM-32.EXE';
  PM_CLASS_FRAME	= 'FRAME';
  PM_CLASS_FOLMAN	= 'FOLMAN';
  PM_CLASS_MDI_READER	= 'WPMMDI';
  PM_CLASS_MRD_READER	= 'WPMDLG_MRD';
  PM_CLASS_STATUSBAR	= 'WPMDLG_STB';

const // Registry keys
  REG_KEY_PM		= 'Software\' + PEGASUS_MAIL;
  REG_KEY_PM_BASEDIR	= REG_KEY_PM + '\Basedir';
  REG_KEY_PM_MAILBOX	= REG_KEY_PM + '\Mailbox';
  REG_KEY_PM_NEWMAIL	= REG_KEY_PM + '\Newmail';
  REG_KEY_PM_COMMAND	= REG_KEY_PM + '\Command';
  REG_KEY_PM_IDENTITY	= REG_KEY_PM + '\Identity';
  REG_KEY_PM_USER_NAME	= REG_KEY_PM + '\Username';

const // Signature files
  EXT_PLAIN_SIG		= '.PMS';
  EXT_FORMAT_SIG	= '.PNS';
  SIG_FILE_INET		= 'InetSig';
  SIG_FILE_LOCAL	= 'LocalSig';

const // Pegasus.ini
  PEGASUS_INI		= 'Pegasus.ini';

const
  SEC_SYS_FOLDERS	= 'Systemwide Folders';

  ID_PUBLIC_TREE	= 'PublicTree';

const // PMail.ini
  PMAIL_INI		= 'PMail.ini';

  SEC_TCP_IP		= 'Pegasus Mail for Windows - built-in TCP/IP Mail';
  SEC_DEFAULT		= 'Pegasus Mail for Windows';
  SEC_IDENTITIES	= 'WinPMail Identity - ';

  ID_EMAIL_FIELD	= 'Internet E-mail Address                   ';
  ID_ALT_FROM_FIELD	= 'Alternative From: field for message       ';
  ID_DEF_BCC_FIELD	= 'Default BCC field                         ';
  ID_DEFAULT_SETTINGS	= 'Default settings values                   ';
  ID_DEFAULT_SIGNATURE	= 'Default signature for outgoing mail       ';
  ID_EDITOR_MARGIN	= 'Styled message editor margin (mm)         ';
  ID_EDITOR_TABWIDTH	= 'Styled message editor tab width (mm)      ';
  ID_EDITOR_OPTIONS	= 'Message editor format options             ';
  ID_INTEGER_PREFS_1	= 'Integer preference block 1                ';
  ID_PRINTER_DEVICE	= 'Printer device name                       ';
  ID_PRINTING_BANNER	= 'Printing banner                           ';
  ID_READER_MARGIN	= 'Message reader wrapping margin            ';
  ID_READER_OPTIONS	= 'Message reader format options             ';
  ID_REFORMAT_MARGIN	= 'Margin for Ctrl-J operations              ';

const // WinPMail.ini
  WINPMAIL_INI		= 'WinPMail.ini';

  SEC_WPM_32		= 'WinPMail 32-bit';
  SEC_WPM_32_ENV	= 'WinPMail 32-bit environment';

  ID_SET_LANGUAGE	= 'Set Language';

const // State.pmj
  STATE_PMJ		= 'STATE.PMJ';

  SEC_MAILBOX_IDS	= 'Mailbox_IDs';
  SEC_ADDRESS_BOOKS	= 'AddressBooks';

const // Renderer.pm
  RENDERER_PM		= 'Renderer.pm';

const // Menu IDs
  MID_ABOUT		= 201;

const // String IDs
  STR_DEFAULT_ID	= 045;

{ }
{  WPMPREFS.H }
{  Definitions and constants for the Pegasus Mail for Windows }
{  Extensions Manager interface preferences management calls. }
{ }
{  Copyright (c) 1994, David Harris, all rights reserved. }
{                      Ported to Pascal by Martin Ireland }
{ }
{  Use the equates in this file to indicate to the extensions manager }
{  which value you want to set or get in the user's preferences when you }
{  use the WM_F_SETPREF or WM_F_GETPREF messages. In the list below is a }
{  brief description of each field, and a description of the type of the }
{  item using the following legend: }
{ }
{     char * [x]    --  A C string which can be at most X chars long }
{     B             --  A boolean value, where 1 = TRUE and 0 = FALSE. }
{     x..x          --  A range of possible integer values }
{     Integer       --  A signed 16-bit value }
{     RECT *        --  A pointer to a Windows RECT structure }
{     POINT *       --  A pointer to a Windows POINT structure }
{     FONTDEF *     --  A Pointer to a FONTDEF structure (see below) }
{ }
{  When calling WM_F_GETPREF, the function will return the value for }
{  scalar types (Integer, boolean, long). For non-scalar types you }
{  must pass a pointer to a structure of the proper size in the lParam }
{  parameter to the message. }
{ }
{  When calling WM_F_SETPREF, you should pass scalar types in the }
{  lParam parameter, and pointers to all other types as lParam. }
{ }
{  *** WARNING!!! *** }
{  The onus is on you to ensure that you pass pointers to items of the }
{  correct size, since WinPMail will not (cannot) check them in most }
{  cases. }
{ }

type
 TFontDef = record
   FontName: array[0..31] of char;     { LF_FACESIZE }
   FontSize, FontStyle: smallint;
 end;

{ $ifndef WINPMAIL }
 TQuickFolder = record
   FName: array[0..12] of char;
   SysFolder: char;
   Copy: char;
 end;
{ $endif }

type
  TPMOptions =
  (                         { -- Description -------------------- Type ------ }
   W_PRO_PERSONAL_NAME,     { User's Personal name setting        char * [46] }
   W_PRO_DEFRMARGIN,        { Editor default right margin         1..256 }
   W_PRO_HOMEBOX,           { Home mailbox location               char * [46] }
   W_PRO_COPYSELF,          { Copy self saved value               B }
   W_PRO_SELFFOLDER,        { Copy-to-self folder (name only)     char * [14] }
   W_PRO_COMMENT_WITH,      { Commenting string                   char * [14] }
   W_PRO_COLLATION,         { Sort order for folders              B }
   FILLER7,                 { not assigned }
   FILLER8,                 { not assigned }
   W_PRO_DEFAULT_REPLY,     { Default reply-to address            char * [46] }
   W_PRO_REPLY,             { Default reply dialog settings       char * [9] }
   W_PRO_EDIT_FORWARD,      { Edit before forwarding value        B }
   W_PRO_MHS_NAME,          { MHS name-8 for this user            char * [30] }
   W_PRO_RQC,               { Confirm reading saved value         B }
   W_PRO_WORKDIR,           { Working (temporary) directory       char * [46] }
   W_PRO_MHS_APP_DIR,       { User's preferred MHS application    char * [13] }
   W_PRO_SCAN_MHS_DIR,      { Scan the "MHS" app. for newmail     B }
   W_PRO_OPEN_NEW,          { Open newmail folder at startup      B }
   W_PRO_SAVE_DELETED,      { Saved deleted mail until exit       B }
   W_PRO_PROMPT_COPYSELF,   { Prompt for copy-to-self             B }
   W_PRO_PROMPT_CSFOLDER,   { Prompt for copy-to-self folder      B }
   W_PRO_LEAVE_NEW,         { Leave read mail in newmail folder   B }
   W_PRO_ASORT,             { Address book sort setting           0, 1 }
   W_PRO_NEED_PASSWORD,     { Require NetWare passwd at startup   B }
   W_PRO_SMF_NAME,          { User's MHS SMF-71 address           char * [128] }
   W_PRO_USE_MIME,          { Whether or not to use MIME          B }
   W_PRO_CHARSET,           { default MIME character set          char * [20] }
   FILLER27,                { not assigned }
   FILLER28,                { not assigned }
   W_PRO_USE_PGP,           { Not currently used                  B }
   W_PRO_ENCRYPT_CS,        { Encrypt copyselfs of encrypted mail B }
   W_PRO_NO_CONFIRM_DEL,    { Don't confirm deletions             B }
   W_PRO_BULKMAIL,          { Prefer enclosures over attachments  B }
   W_PRO_NB_COLLATION,      { Noticeboard sort order              0..4 }
   W_PRO_ATTACH_SCAN_LINES, { # lines to scan for attachments     Integer }
   W_PRO_BPANELV,           { Button panel mode                   0, 1, 2 }
   W_PRO_BP_CLOSED,         { Button panel open state             B }
   W_PRO_BP_RECT,           { Button panel position               RECT * }
   W_PRO_NEWMAIL_RECT,      { Newmail folder position             RECT * }
   W_PRO_NOSIG,             { Suppress message signatures         B }
   W_PRO_DELIVERY,          { Request confirmation of delivery    B }
   W_PRO_FRAME_MAX,         { Frame window is maximized at start  B }
   W_PRO_FRAME_RECT,        { Frame window size                   RECT * }
   W_PRO_ED_WH,             { Editor window height/width          POINT * }
   W_PRO_RD_WH,             { Reader window height/width          POINT * }
   W_PRO_READERFONT,        { Reader font definition              FONTDEF * }
   W_PRO_EDMAILFONT,        { Editor font definition              FONTDEF * }
   W_PRO_FOLDERFONT,        { Folder font definition              FONTDEF * }
   W_PRO_PRINTERFONT,       { Printer font definition             FONTDEF * }
   W_PRO_ADVANCED_REPLY,    { If NZ, use advanced reply dialog    B }
   W_PRO_TBMARGIN,          { Printer top/bottom margin           Integer }
   W_PRO_LRMARGIN,          { Printer left/right margin           Integer }
   W_PRO_UL_RECT,           { Userlist window position            RECT * }
   W_PRO_REFORMAT,          { Not currently used }
   W_PRO_PR_DEVICE,         { Printer device                      char * [50] }
   W_PRO_PR_DRIVER,         { Printer driver name                 char * [20] }
   W_PRO_PR_PORT,           { Printer port                        char * [20] }
   W_PRO_TABWIDTH,          { Tab width in editor                 Integer }
   W_PRO_LL_RECT,           { Logged-in userlist position         RECT * }
   W_PRO_SAVE_DESKTOP,      { Save desktop between sessions?      B }
   W_PRO_WORDWRAP,          { Wrap long lines in Reader?          B }
   W_PRO_POPOPTS,           { POP3 options - do not alter }
   W_PRO_NO_TCP,            { If NZ, disable WINSOCK loading      B }
   W_PRO_IDLE_CHECKS,       { Frequency of POP3 newmail checks    Integer secs }
   W_PRO_NEWMAIL_CHECKS,    { Frequency of local newmail checks   Integer secs }
   W_PRO_ORGANIZATION,      { Secondary organization name         char * [45] }
   W_PRO_TIMEZONE,          { Secondary time zone setting         char * [6] }
   W_PRO_NO_REQ_CONFIRM,    { Allow confirm reading (standalone)  B }
   W_PRO_NFYMODE,           { Telltale window mode                0, 1, 2 }
   W_PRO_NFYSETTINGS,       { Do not alter. }
   W_PRO_NFY_POS,           { Telltale window position            POINT * }
   W_PRO_DLM_RECT,          { Distribution list manager position  RECT * }
   W_PRO_NB_RECT,           { Noticeboard manager position        RECT * }
   W_PRO_HPRINT,            { Header printing settings            0, 1, 2, 3 }
   W_PRO_XRECT,             { Extension manager position          RECT * }
   W_PRO_NEWMAIL_SOUND,     { Newmail sound file                  char * [80] }
   W_PRO_FOLMAN_RECT,       { Folder manager window position      RECT * }
   W_PRO_OMIT_HEADERS,      { Omit headers flag for replies       B }
   W_PRO_USE_CUSTOM_REPLY,  { Use/don't use custom reply format   B }
   W_PRO_CUSTOM_REPLY,      { Format string for custom replies    char * [64] }
   W_PRO_USE_8BIT,          { Use 8-bit MIME encodings            B }
   W_PRO_FOLMANFONT,        { Folder Manager font                 FONTDEF * }
   W_PRO_QUICKFOLDERS,      { Quick Folder array [6]              QUICKFOLDER * }
   W_PRO_QUICKFOLDERFLAGS,  { Quick folder flags                  Char }
   W_PRO_MHS_RECT,          { MHS Directory Service position      RECT * }
   W_PRO_USE_SYSCOLOURS,    { Use system colours in windows       B       }
   W_PRO_HOT_URLS,          { Show "hot" URLs in reader           1, 2, 3 }
   W_PRO_WEB_BROWSER,       { Web browser commandline             char * [128] }
{ New Feb 97 }
   W_PRO_READER_FORMAT,     { Reader format bitmap                long         }
   W_PRO_EDMAIL_FORMAT,     { Message editor format bitmap        long         }
   W_PRO_AUTOSAVE_INTERVAL, { Message editor autosave timeout     16-bit int   }
   W_PRO_DEFSETTINGS,       { Default settings flags              char * [16]  }
   W_PRO_FROMWIDTH,         { New mail "From" column width        16-bit int   }
   W_PRO_SUBJWIDTH,         { New mail "Subject" column width     16-bit int   }
   W_PRO_RDRC_RECT          { Combined multipart browser size     RECT *       }
  );

implementation

end.

